#include <iostream>

using namespace std;

int main(){
    int N,M,l,r,x;
    cin >> N >> M;
    int gornja[N],donja[N];
    for(int i=0;i<N;i++){
        cin >> donja[i] >> gornja[i];
    }
    for(int i=0;i<M;i++){
        int br=0;
        cin >> l >> r >> x;
        for(int k=l;k<=r;k++){
            if(donja[k-1]<=x && x<=gornja[k-1]){
                br++;
            }
        }
        cout << br << "\n";
    }
}